Package csb :: Package apps :: Module csfrag :: Class MatchTable

[frames] | no frames]

# Class MatchTable

source code

    object --+
             |
            MatchTable

Instance Methods

__getitem__(self, rank) | source code

__init__(self, length, capacity=25) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

add(self, m) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| by_source
Inherited from `object`: `__class__`

Method Details

### __init__(self, length, capacity=25)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### by_source

Get Method:
  unreachable.by_source(self)